## org.apache.lucene.analysis.icu
Class ICUTransformFilterFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenFilterFactory
              org.apache.lucene.analysis.icu.ICUTransformFilterFactory

All Implemented Interfaces:
  MultiTermAwareComponent

    public class ICUTransformFilterFactory

extends TokenFilterFactory
implements MultiTermAwareComponent

Factory for `ICUTransformFilter`.

Supports the following attributes:

- id (mandatory): A Transliterator ID, one from `Transliterator.getAvailableIDs()`
- direction (optional): Either 'forward' or 'reverse'. Default is forward.

See Also:
  `Transliterator`

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`args, luceneMatchVersion`

Constructor Summary
`ICUTransformFilterFactory()` Sole constructor.

Method Summary
`TokenStream` `create(TokenStream input)`
`AbstractAnalysisFactory` `getMultiTermComponent()`
`void` `init(Map<String,String> args)`

Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory
`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, getArgs, getBoolean, getBoolean, getInt, getInt, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSnowballWordSet, getWordSet, setLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ICUTransformFilterFactory

    public ICUTransformFilterFactory()

  Sole constructor. See `AbstractAnalysisFactory` for initialization lifecycle.

Method Detail

### init

    public void init(Map<String,String> args)

  Overrides:
    `init` in class `AbstractAnalysisFactory`

### create

    public TokenStream create(TokenStream input)

  Specified by:
    `create` in class `TokenFilterFactory`

### getMultiTermComponent

    public AbstractAnalysisFactory getMultiTermComponent()

  Specified by:
    `getMultiTermComponent` in interface `MultiTermAwareComponent`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.